Bug 1317269 - packagekit-command-not-found fails to ask for password
packagekit-command-not-found fails to ask for password
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 11:58 EDT by Anton S
Modified: 2016-12-20 14:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 573499
Environment:
Last Closed: 2016-12-20 14:25:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton S 2016-03-13 11:58:30 EDT
+++ This bug was initially created as a clone of Bug #573499 +++

Description of problem:


Version-Release number of selected component (if applicable):

PackageKit-command-not-found-0.6.2-1.fc14.x86_64

How reproducible:

everytime

Steps to Reproduce:
1.type a command provided by a package not already installed
2.
3.
  
Actual results:

[arares@localhost ~]$ mc
Command not found. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. Install package 'mc' to provide command 'mc'? [N/y] 
 * Running.. 
 * Resolving dependencies.. 
 * Waiting for authentication.. The transaction failed: not-authorized, Failed to obtain authentication.


Expected results:

The user should be prompted for the administrative password in order to install the package

Additional info:

--- Additional comment from Richard Hughes on 2010-03-22 11:56:27 EDT ---

Are you running the session using VNC?

--- Additional comment from Aioanei Rares on 2010-03-22 12:07:58 EDT ---

KVM virtual machine.

--- Additional comment from Bug Zapper on 2010-07-30 07:04:26 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Fedora End Of Life on 2012-08-16 15:57:31 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Anton S 2016-03-13 12:02:30 EDT
I still have this bug in f23. It still does not ask for authentication, but it tries to install anyway and fails: 

[ash1125@ASYOGAFEDORA ~]$ ddclient
bash: ddclient: command not found...
Install package 'ddclient' to provide command 'ddclient'? [N/y] y
 
 
 * Waiting in queue...
 * Loading list of packages....
 * Waiting in queue...
 * Waiting for authentication...
 * Waiting in queue...
 * Downloading packages...
 * Requesting data...
 * Testing changes...
 * Installing packages...
WARNING:  file /etc/ddclient.conf: Cannot open file '/etc/ddclient.conf'. (Permission denied)
stat() on closed filehandle FD at /usr/sbin/ddclient line 1001.
Use of uninitialized value $mode in bitwise and (&) at /usr/sbin/ddclient line 1002.
readline() on closed filehandle FD at /usr/sbin/ddclient line 1014.
WARNING:  file /etc/ddclient.conf: Cannot open file '/etc/ddclient.conf'. (Permission denied)
stat() on closed filehandle FD at /usr/sbin/ddclient line 1001.
Use of uninitialized value $mode in bitwise and (&) at /usr/sbin/ddclient line 1002.
readline() on closed filehandle FD at /usr/sbin/ddclient line 1014.

Related thread on the forum:
http://forums.fedoraforum.org/showthread.php?t=300450
Comment 2 Fedora End Of Life 2016-11-24 11:03:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:25:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.